ผู้เขียน หัวข้อ: แนะนำปลักอิน ASyncWorldEdit แก้ปัญหา WorldEdit เวลาใช้ //set หรืออื่นๆแล้วดับ!  (อ่าน 1138 ครั้ง)

0 สมาชิก และ 1 บุคคลทั่วไป กำลังดูหัวข้อนี้

Pptazura

  • Newbie
  • *
  • กระทู้: 9
  • ไม่รับแอด/ไม่ต้องทัก
ไม่มีอะไรทำขอนั่งอัพความรู้
วันนี้จะมาแนะนำปลักอิน ASyncWorldEdit กัน

ปลักอินตัวนี้ทำอะไรได้ !?
- ปลักอินตัวนี้จะช่วย กำหนดว่าใน 1วิ จะให้มันสร้างพื้นที่เท่าไหร่ (สามารถปรับเอาได้ใน Config ของตัวปลักอิน)
- สามารถแสดงสถานะการทำงานว่าตอนนี้ WorldEdit ที่ Process เท่าไหร่ (รองรับพวก ActionBarAPI,BarAPI บลาๆ)
- รองรับการทำงานของปลักอิน PlotMe (เหมาะสำหรับ Creative Server ที่จะให้ Member ใช้ WorldEdit ได้)
- กำหนดว่า 1 วิจะสร้างกี่บล็อกได้ (กระผมไม่แน่ใจของเดิมตั้งไว้ที่ 5,000 หรือ 10,000 บล็อกนะ แต่สามารถปรับได้)
- กำหนดได้ด้วยว่า คำสั่ง WorldEdit คำสั่งไหนที่ให้ใช้กับ ASyncWorldEdit (ดีแท้)

เงื่อนไขในการลงปลักอิน  :)
- ถ้าใช้ WorldEdit v5.x ให้ทำการลงปลักอิน ASyncWorldEdit v1.x
- ถ้าใช้ WorldEdit v6.x ให้ทำการลงปลักอิน ASyncWorldEdit v2.2.2 หรือต่ำกว่า
- ถ้าใช้ WorldEdit v6.1.2+ ให้ทำการลงปลักอิน ASyncWorldEdit v2.3.0 เป็นต้นไปเท่านั้น
-- ถ้าใช้ ASyncWorldEdit v1.x สามารถใส่ลงในโฟลเดอร์ plugins ได้เลย
-- แต่ถ้าใช้ ASyncWorldEdit v2.x เป็นต้นไปต้องเอาปลักอิน ASyncWorldEditInjector ใส่ลงไปในโฟลเดอร์ plugins ด้วย
*** เพิ่มเติม ถ้าจะใช้ฟังก์ชันพวก PlotMe ไรทำนองนี้ต้องลงปลักอินเสริมที่มันกำหนดด้วย สามารถไปอ่านได้ในส่วน Spigot

ลิงค์ปลักอิน  :)
> https://www.spigotmc.org/resources/asyncworldedit.327/
ปล. มันมีปลักอินตัวอื่นนอกจาก ASyncWorldEdit ด้วยนะอันนี้เป็นแค่ปลักอินส่วนนึง
กระผมไม่ชอบคนที่ไม่พยายามแสวงหาอย่างสุดความสามารถเพราะบางสิ่งอาจจะอยู่ตรงหน้าของคุณแล้วแต่คุณเลือกที่จะไม่เปิดรับมันเอาไว้เองซึ่งเป็นส่วนนึงของการเกิดโลกคู่ขนานเพราะว่าตัวเราเป็นคนเลือกเองว่าจะรับความรู้ หรือ ไม่รับความรู้ By P*/